Titanium.include('/js/messageLog.js');
Titanium.include('/js/messenger.js');

if (Ti.version < 1.8 ) {
	alert('Sorry - this application template requires Titanium Mobile SDK 1.8 or later');	  	
}

function ApplicationWindow() {
	//render appropriate components based on the platform and form factor
	var osname = Ti.Platform.osname,
		version = Ti.Platform.version,
		height = Ti.Platform.displayCaps.platformHeight,
		width = Ti.Platform.displayCaps.platformWidth;
	
	//create object instance, a parasitic subclass of Observable
	var window = Ti.Platform.osname == "android" ? 
				 Ti.UI.createWindow({backgroundColor:'#ffffff', windowSoftInputMode: Ti.UI.Android.SOFT_INPUT_ADJUST_PAN}):
				 Ti.UI.createWindow({backgroundColor:'#ffffff'});
	var view = Ti.UI.createView({layout: 'horizontal'});

	var nameField = Ti.UI.createTextField({
		borderStyle:Ti.UI.INPUT_BORDERSTYLE_BEZEL,
		color: '#ffffff',
		backgroundColor: '#000000',
		top: 20,
		width: 250
	});
	
	var initButton = Ti.UI.createButton({
		title: 'Confirm',
		color: '#ffffff',
		backgroundColor: '#000000',
		top: 20
	});
	
	var inputField = Ti.UI.createTextField({
		borderStyle:Ti.UI.INPUT_BORDERSTYLE_BEZEL,
		color: '#ffffff',
		backgroundColor: '#000000',
		width: 250
	});
	
	var sendButton = Ti.UI.createButton({
		title: 'Send',
		color: '#ffffff',
		backgroundColor: '#000000'
	});
	
	var requestCouponField = Ti.UI.createTextField({
		borderStyle:Ti.UI.INPUT_BORDERSTYLE_BEZEL,
		color: '#ffffff',
		backgroundColor: '#000000',
		width: 250
	});
	
	var requestCouponButton = Ti.UI.createButton({
		title: 'Send',
		color: '#ffffff',
		backgroundColor: '#000000'
	});
	
	var passCouponField = Ti.UI.createTextField({
		borderStyle:Ti.UI.INPUT_BORDERSTYLE_BEZEL,
		color: '#ffffff',
		backgroundColor: '#000000',
		width: 250
	});
	
	var passCouponButton = Ti.UI.createButton({
		title: 'Send',
		color: '#ffffff',
		backgroundColor: '#000000'
	});
	
	//Add behavior for UI
	initButton.addEventListener('click', function(e) {
		initializeMessenger(nameField.getValue());
		initButton.hide();
	});
	sendButton.addEventListener('click', function(e) {
		broadcast(inputField.getValue());
	});
	requestCouponButton.addEventListener('click', function(e) {
		requestCoupon(requestCouponField.getValue());
	});
	passCouponButton.addEventListener('click', function(e) {
		passCoupon(passCouponField.getValue());
	});
	

	//Add elements to GUI
	view.add(nameField);
	view.add(initButton);
	view.add(inputField);
	view.add(sendButton);
	//view.add(requestCouponField);
	//view.add(requestCouponButton);
	//view.add(passCouponField);
	//view.add(passCouponButton);
	view.add(messageLog);
	
	
	window.add(view);
	Titanium.App.Window = window;
	
	return window;
};

module.exports = ApplicationWindow;